MapObjectClass (KML Framework API)
Keywords: org.boehn.kmlframework.todo.MapObjectClass class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.todo
Class MapObjectClass

    java.lang.Object
      org.boehn.kmlframework.todo.MapObjectClass

    public class MapObjectClass

extends java.lang.Object

Constructor Summary
`MapObjectClass(java.lang.String className)`

Method Summary
`void` | `addKml(MapObject mapObject, org.w3c.dom.Element parentElement, Kml model, org.w3c.dom.Document xmlDocument, EarthCoordinate location, java.lang.Double rotation, CartesianCoordinate localReferenceCoordinate, CartesianCoordinate scale, java.lang.String name)`
`void` | `addModel(GraphicalModel model)`
`void` | `addModels(java.util.List<GraphicalModel> models)`
`java.lang.String` | `getClassName()`
`java.util.List<GraphicalModel>` | `getModels()`
`boolean` | `getShowModels()`
`boolean` | `getShowTail()`
`java.lang.String` | `getStyleUrl()`
`java.lang.Integer` | `getTailHistoryLimit()`
`java.lang.Integer` | `getTailVisibleFrom()`
`java.lang.Integer` | `getTailVisibleTo()`
`java.lang.Integer` | `getVisibleFrom()`
`java.lang.Integer` | `getVisibleTo()`
`void` | `setClassName(java.lang.String className)`
`void` | `setModels(java.util.List<GraphicalModel> models)`
`void` | `setShowModels(boolean showModel)`
`void` | `setShowTail(boolean showTail)`
`void` | `setTailHistoryLimit(java.lang.Integer tailHistoryLimit)`
`void` | `setTailVisibleFrom(java.lang.Integer tailVisibleFrom)`
`void` | `setTailVisibleTo(java.lang.Integer tailVisibleTo)`
`void` | `setVisibleFrom(java.lang.Integer visibleFrom)`
`void` | `setVisibleTo(java.lang.Integer visibleTo)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapObjectClass

    public MapObjectClass(java.lang.String className)

Method Detail

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### getModels

    public java.util.List<GraphicalModel> getModels()

### setModels

    public void setModels(java.util.List<GraphicalModel> models)

### addModel

    public void addModel(GraphicalModel model)

### addModels

    public void addModels(java.util.List<GraphicalModel> models)

### getVisibleFrom

    public java.lang.Integer getVisibleFrom()

### setVisibleFrom

    public void setVisibleFrom(java.lang.Integer visibleFrom)

### getVisibleTo

    public java.lang.Integer getVisibleTo()

### setVisibleTo

    public void setVisibleTo(java.lang.Integer visibleTo)

### getStyleUrl

    public java.lang.String getStyleUrl()

### getShowModels

    public boolean getShowModels()

### setShowModels

    public void setShowModels(boolean showModel)

### getShowTail

    public boolean getShowTail()

### setShowTail

    public void setShowTail(boolean showTail)

### getTailVisibleFrom

    public java.lang.Integer getTailVisibleFrom()

### setTailVisibleFrom

    public void setTailVisibleFrom(java.lang.Integer tailVisibleFrom)

### getTailVisibleTo

    public java.lang.Integer getTailVisibleTo()

### setTailVisibleTo

    public void setTailVisibleTo(java.lang.Integer tailVisibleTo)

### getTailHistoryLimit

    public java.lang.Integer getTailHistoryLimit()

### setTailHistoryLimit

    public void setTailHistoryLimit(java.lang.Integer tailHistoryLimit)

### addKml

    public void addKml(MapObject mapObject,
                       org.w3c.dom.Element parentElement,
                       Kml model,
                       org.w3c.dom.Document xmlDocument,
                       EarthCoordinate location,
                       java.lang.Double rotation,
                       CartesianCoordinate localReferenceCoordinate,
                       CartesianCoordinate scale,
                       java.lang.String name)
                throws KmlException

  Throws:
    `KmlException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD